Bug 986893 - AVC seen when gabble try to communicate with gnome-keyring
AVC seen when gabble try to communicate with gnome-keyring
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 06:57 EDT by Michael Scherer
Modified: 2013-07-26 19:07 EDT (History)
1 user (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-66.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-26 19:07:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Scherer 2013-07-22 06:57:47 EDT
type=AVC msg=audit(1374487022.180:3919): avc:  denied  { write } for  pid=19153 comm="telepathy-gabbl" name="pkcs11" dev="tmpfs" ino=1030085 scontext=staff_u:staff_r:telepathy_gabble_t:s0-s0:c0.c1023 tcontext=staff_u:object_r:gkeyringd_tmp_t:s0 tclass=sock_file

type=AVC msg=audit(1374487022.180:3919): avc:  denied  { connectto } for  pid=19153 comm="telepathy-gabbl" path="/run/user/500/keyring-U6ipqM/pkcs11" scontext=staff_u:staff_r:telepathy_gabble_t:s0-s0:c0.c1023 tcontext=staff_u:staff_r:staff_gkeyringd_t:s0-s0:c0.c1023 tclass=unix_stream_socket

Gabble is discussing with gnome-keyring in order to check the certificate of xmpp server, I assume. However, i didn't see any error message, and gabble is running fine.
Comment 1 Miroslav Grepl 2013-07-24 08:54:45 EDT
commit 0da404b1cc49bc3aac00d09475b2bfd72759231d
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Wed Jul 24 14:54:28 2013 +0200

    Allow Gabble to discuss with gnome-keyring in order to check the certificate of xmpp server
Comment 2 Fedora Update System 2013-07-24 10:15:22 EDT
selinux-policy-3.12.1-66.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-66.fc19
Comment 3 Fedora Update System 2013-07-24 20:36:22 EDT
Package selinux-policy-3.12.1-66.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-66.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13543/selinux-policy-3.12.1-66.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-26 19:07:12 EDT
selinux-policy-3.12.1-66.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.